## r-cran-spatstat.core 2.3

=== DESCRIPTION ===
Package: spatstat.core
Version: 2.3-2
Date: 2021-11-25
Title: Core Functionality of the 'spatstat' Family
Authors@R: c(person("Adrian", "Baddeley", 
                    role = c("aut", "cre"),
       	            email = "Adrian.Baddeley@curtin.edu.au"),
	     person("Rolf", "Turner", 
                    role = "aut",
 	            email="r.turner@auckland.ac.nz"),
	     person("Ege",   "Rubak", 
                    role = "aut",
		    email = "rubak@math.aau.dk"),
	     person("Kasper", "Klitgaard Berthelsen",
	            role = "ctb"),
	     person("Achmad", "Choiruddin",
	            role = "ctb"),
	     person("Jean-Francois", "Coeurjolly",
	            role = "ctb"),
	     person("Ottmar", "Cronie",
	            role = "ctb"),
	     person("Tilman", "Davies",
	            role = "ctb"),
	     person("Chiara", "Fend",
	            role = "ctb"),
	     person("Julian", "Gilbey",
	            role = "ctb"),
	     person("Yongtao", "Guan",
	            role = "ctb"),
	     person("Ute", "Hahn",
	            role = "ctb"),
	     person("Kassel", "Hingee",
	            role = "ctb"),
	     person("Abdollah", "Jalilian", 
	            role = "ctb"),
	     person("Marie-Colette", "van Lieshout",
	            role = "ctb"),
	     person("Greg", "McSwiggan",
	            role = "ctb"),
	     person("Tuomas", "Rajala",
	            role = "ctb"),
	     person("Suman", "Rakshit",
	            role = "ctb"),
	     person("Dominic", "Schuhmacher",
	            role = "ctb"),
	     person("Rasmus", "Plenge Waagepetersen",
	            role = "ctb"),
	     person("Hangsheng", "Wang",
	            role = "ctb"))
Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
Depends: R (>= 3.5.0), spatstat.data (>= 2.1-0), spatstat.geom (>=
        2.3-0), stats, graphics, grDevices, utils, methods, nlme, rpart
Imports: spatstat.utils (>= 2.2-0), spatstat.sparse (>= 2.0-0), mgcv,
        Matrix, abind, tensor, goftest (>= 1.2-2)
Suggests: sm, maptools (>= 0.9-9), gsl, locfit, spatial, RandomFields
        (>= 3.1.24.1), RandomFieldsUtils(>= 0.3.3.1), fftwtools (>=
        0.9-8), nleqslv, spatstat.linnet (>= 2.0-0), spatstat (>=
        2.0-0)
Description: Functionality for data analysis and modelling of
	     spatial data, mainly spatial point patterns,
	     in the 'spatstat' family of packages.
	     (Excludes analysis of spatial data on a linear network,
	     which is covered by the separate package 'spatstat.linnet'.)
	     Exploratory methods include quadrat counts, K-functions and their simulation envelopes, nearest neighbour distance and empty space statistics, Fry plots, pair correlation function, kernel smoothed intensity, relative risk estimation with cross-validated bandwidth selection, mark correlation functions, segregation indices, mark dependence diagnostics, and kernel estimates of covariate effects. Formal hypothesis tests of random pattern (chi-squared, Kolmogorov-Smirnov, Monte Carlo, Diggle-Cressie-Loosmore-Ford, Dao-Genton, two-stage Monte Carlo) and tests for covariate effects (Cox-Berman-Waller-Lawson, Kolmogorov-Smirnov, ANOVA) are also supported.
	Parametric models can be fitted to point pattern data using the functions ppm(), kppm(), slrm(), dppm() similar to glm(). Types of models include Poisson, Gibbs and Cox point processes, Neyman-Scott cluster processes, and determinantal point processes. Models may involve dependence on covariates, inter-point interaction, cluster formation and dependence on marks. Models are fitted by maximum likelihood, logistic regression, minimum contrast, and composite likelihood methods. 
	A model can be fitted to a list of point patterns (replicated point pattern data) using the function mppm(). The model can include random effects and fixed effects depending on the experimental design, in addition to all the features listed above.
	Fitted point process models can be simulated, automatically. Formal hypothesis tests of a fitted model are supported (likelihood ratio test, analysis of deviance, Monte Carlo tests) along with basic tools for model selection (stepwise(), AIC()) and variable selection (sdr). Tools for validating the fitted model include simulation envelopes, residuals, residual plots and Q-Q plots, leverage and influence diagnostics, partial residuals, and added variable plots.
License: GPL (>= 2)
URL: http://spatstat.org/
NeedsCompilation: yes
ByteCompile: true
BugReports: https://github.com/spatstat/spatstat.core/issues
Packaged: 2021-11-25 02:35:56 UTC; adrian
Author: Adrian Baddeley [aut, cre],
  Rolf Turner [aut],
  Ege Rubak [aut],
  Kasper Klitgaard Berthelsen [ctb],
  Achmad Choiruddin [ctb],
  Jean-Francois Coeurjolly [ctb],
  Ottmar Cronie [ctb],
  Tilman Davies [ctb],
  Chiara Fend [ctb],
  Julian Gilbey [ctb],
  Yongtao Guan [ctb],
  Ute Hahn [ctb],
  Kassel Hingee [ctb],
  Abdollah Jalilian [ctb],
  Marie-Colette van Lieshout [ctb],
  Greg McSwiggan [ctb],
  Tuomas Rajala [ctb],
  Suman Rakshit [ctb],
  Dominic Schuhmacher [ctb],
  Rasmus Plenge Waagepetersen [ctb],
  Hangsheng Wang [ctb]
Repository: CRAN
Date/Publication: 2021-11-26 16:10:13 UTC

## r-cran-spatstat.core 2.3-2

=== debian/changelog ===
r-cran-spatstat.core (2.3-2-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-goftest.

 -- Andreas Tille <tille@debian.org>  Fri, 03 Dec 2021 21:41:57 +0100

r-cran-spatstat.core (2.3-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3-1
  * d/control: Run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Mon, 08 Nov 2021 00:23:05 +0530

r-cran-spatstat.core (2.3-0-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-goftest.

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 12:43:19 +0200

r-cran-spatstat.core (2.3-0-1) unstable; urgency=medium

  * Initial release (closes: #992353)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Aug 2021 19:56:43 +0200

=== debian/control ===
Source: r-cran-spatstat.core
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-spatstat.data (>= 2.1-0),
               r-cran-spatstat.geom (>= 2.3-0),
               r-cran-nlme,
               r-cran-rpart,
               r-cran-spatstat.utils (>= 2.2-0),
               r-cran-spatstat.sparse (>= 2.0-0),
               r-cran-mgcv,
               r-cran-matrix,
               r-cran-abind,
               r-cran-tensor,
               r-cran-goftest
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.core
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.core.git
Homepage: https://cran.r-project.org/package=spatstat.core
Rules-Requires-Root: no

Package: r-cran-spatstat.core
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: core functionality of the 'spatstat' family of GNU R packages
 Functionality for data analysis and modelling of spatial data, mainly
 spatial point patterns, in the 'spatstat' family of packages. (Excludes
 analysis of spatial data on a linear network, which is covered by the
 separate package 'spatstat.linnet'.) Exploratory methods include quadrat
 counts, K-functions and their simulation envelopes, nearest neighbour
 distance and empty space statistics, Fry plots, pair correlation
 function, kernel smoothed intensity, relative risk estimation with cross-
 validated bandwidth selection, mark correlation functions, segregation
 indices, mark dependence diagnostics, and kernel estimates of covariate
 effects. Formal hypothesis tests of random pattern (chi-squared, Kolmogorov-
 Smirnov, Monte Carlo, Diggle-Cressie-Loosmore-Ford, Dao-Genton, two-
 stage Monte Carlo) and tests for covariate effects (Cox-Berman-Waller-
 Lawson, Kolmogorov-Smirnov, ANOVA) are also supported. Parametric models
 can be fitted to point pattern data using the functions ppm(), kppm(),
 slrm(), dppm() similar to glm(). Types of models include Poisson, Gibbs
 and Cox point processes, Neyman-Scott cluster processes, and
 determinantal point processes. Models may involve dependence on
 covariates, inter-point interaction, cluster formation and dependence on
 marks. Models are fitted by maximum likelihood, logistic regression,
 minimum contrast, and composite likelihood methods. A model can be
 fitted to a list of point patterns (replicated point pattern data) using
 the function mppm(). The model can include random effects and fixed
 effects depending on the experimental design, in addition to all the
 features listed above. Fitted point process models can be simulated,
 automatically. Formal hypothesis tests of a fitted model are supported
 (likelihood ratio test, analysis of deviance, Monte Carlo tests) along
 with basic tools for model selection (stepwise(), AIC()) and variable
 selection (sdr). Tools for validating the fitted model include
 simulation envelopes, residuals, residual plots and Q-Q plots, leverage
 and influence diagnostics, partial residuals, and added variable plots.

## r-cran-spatstat.core 2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Package: spatstat.core
-Version: 2.3-2
-Date: 2021-11-25
+Version: 2.4-4
+Date: 2022-05-17
 Title: Core Functionality of the 'spatstat' Family
 Authors@R: c(person("Adrian", "Baddeley", 
                     role = c("aut", "cre"),
-       	            email = "Adrian.Baddeley@curtin.edu.au"),
+       	            email = "Adrian.Baddeley@curtin.edu.au",
+		    comment = c(ORCID="0000-0001-9499-8382")),
 	     person("Rolf", "Turner", 
                     role = "aut",
- 	            email="r.turner@auckland.ac.nz"),
+ 	            email="r.turner@auckland.ac.nz",
+		    comment=c(ORCID="0000-0001-5521-5218")),
 	     person("Ege",   "Rubak", 
                     role = "aut",
-		    email = "rubak@math.aau.dk"),
+		    email = "rubak@math.aau.dk",
+		    comment=c(ORCID="0000-0002-6675-533X")),
 	     person("Kasper", "Klitgaard Berthelsen",
 	            role = "ctb"),
 	     person("Achmad", "Choiruddin",
@@ -33,6 +36,8 @@
 	            role = "ctb"),
 	     person("Abdollah", "Jalilian", 
 	            role = "ctb"),
+	     person("Frederic", "Lavancier",
+	            role = "ctb"),
 	     person("Marie-Colette", "van Lieshout",
 	            role = "ctb"),
 	     person("Greg", "McSwiggan",
@@ -49,13 +54,14 @@
 	            role = "ctb"))
 Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
 Depends: R (>= 3.5.0), spatstat.data (>= 2.1-0), spatstat.geom (>=
-        2.3-0), stats, graphics, grDevices, utils, methods, nlme, rpart
-Imports: spatstat.utils (>= 2.2-0), spatstat.sparse (>= 2.0-0), mgcv,
+        2.4-0), spatstat.random (>= 2.2-0), stats, graphics, grDevices,
+        utils, methods, nlme, rpart
+Imports: spatstat.utils (>= 2.3-1), spatstat.sparse (>= 2.0-0), mgcv,
         Matrix, abind, tensor, goftest (>= 1.2-2)
 Suggests: sm, maptools (>= 0.9-9), gsl, locfit, spatial, RandomFields
         (>= 3.1.24.1), RandomFieldsUtils(>= 0.3.3.1), fftwtools (>=
         0.9-8), nleqslv, spatstat.linnet (>= 2.0-0), spatstat (>=
-        2.0-0)
+        2.3-3)
 Description: Functionality for data analysis and modelling of
 	     spatial data, mainly spatial point patterns,
 	     in the 'spatstat' family of packages.
@@ -70,10 +76,10 @@
 NeedsCompilation: yes
 ByteCompile: true
 BugReports: https://github.com/spatstat/spatstat.core/issues
-Packaged: 2021-11-25 02:35:56 UTC; adrian
-Author: Adrian Baddeley [aut, cre],
-  Rolf Turner [aut],
-  Ege Rubak [aut],
+Packaged: 2022-05-17 08:39:32 UTC; adrian
+Author: Adrian Baddeley [aut, cre] (<https://orcid.org/0000-0001-9499-8382>),
+  Rolf Turner [aut] (<https://orcid.org/0000-0001-5521-5218>),
+  Ege Rubak [aut] (<https://orcid.org/0000-0002-6675-533X>),
   Kasper Klitgaard Berthelsen [ctb],
   Achmad Choiruddin [ctb],
   Jean-Francois Coeurjolly [ctb],
@@ -85,6 +91,7 @@
   Ute Hahn [ctb],
   Kassel Hingee [ctb],
   Abdollah Jalilian [ctb],
+  Frederic Lavancier [ctb],
   Marie-Colette van Lieshout [ctb],
   Greg McSwiggan [ctb],
   Tuomas Rajala [ctb],
@@ -93,4 +100,4 @@
   Rasmus Plenge Waagepetersen [ctb],
   Hangsheng Wang [ctb]
 Repository: CRAN
-Date/Publication: 2021-11-26 16:10:13 UTC
+Date/Publication: 2022-05-18 07:30:02 UTC

## r-cran-spatstat.core 2.4-4

=== debian/changelog ===
r-cran-spatstat.core (2.4-4-2) unstable; urgency=medium

  * Sync Suggests with Test-Depends
    Closes: #1029316
  * Versioned Build-Depends from non-broken dh-r (>= 20230121)

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 17:57:23 +0100

r-cran-spatstat.core (2.4-4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 11:04:41 +0200

r-cran-spatstat.core (2.4-0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 13 Mar 2022 16:09:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: r-cran-spatstat.core
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.core
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.core.git
+Homepage: https://cran.r-project.org/package=spatstat.core
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-r,
+               dh-r (>= 20230121),
                r-base-dev,
                r-cran-spatstat.data (>= 2.1-0),
-               r-cran-spatstat.geom (>= 2.3-0),
+               r-cran-spatstat.geom (>= 2.4-0),
+               r-cran-spatstat.random (>= 2.2-0),
                r-cran-nlme,
                r-cran-rpart,
-               r-cran-spatstat.utils (>= 2.2-0),
+               r-cran-spatstat.utils (>= 2.3-1),
                r-cran-spatstat.sparse (>= 2.0-0),
                r-cran-mgcv,
                r-cran-matrix,
                r-cran-abind,
                r-cran-tensor,
-               r-cran-goftest
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.core
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.core.git
-Homepage: https://cran.r-project.org/package=spatstat.core
-Rules-Requires-Root: no
+               r-cran-goftest (>= 1.2-2)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-spatstat.core
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-sm,
         r-cran-maptools,
         r-cran-gsl,
         r-cran-locfit,
         r-cran-spatial,
         r-cran-randomfields,
         r-cran-randomfieldsutils,
#         r-cran-fftwtools,
         r-cran-nleqslv,
         r-cran-spatstat.linnet,
         r-cran-spatstat
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/spatstat.core_([-\d.]*)\.tar\.gz
